TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Email Preferences GETUpdate Email Preferences PUTOne-Click Unsubscribe (Rfc 8058) POSTUnsubscribe From Email GET
Email preferences

One-Click Unsubscribe (Rfc 8058)

POST
/v0/email-preferences/unsubscribe/{preference_key}

Path Parameters

  • preference_key
    stringrequired
  • Query Parameters

  • token
    stringrequired
  • Request Body

    application/x-www-form-urlencoded

    TypeScript Definitions

    Use the request body type in TypeScript.

    • list_unsubscribe
      string
      default: "One-Click"

    Response Body

    application/json

    application/json

    curl -X POST "https://api.theirstack.com/v0/email-preferences/unsubscribe/string?token=string" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
    null
    {
      "detail": [
        {
          "loc": [
            "string"
          ],
          "msg": "string",
          "type": "string"
        }
      ]
    }

    How is this guide?

    Last updated on

    Update Email Preferences PUT

    Previous Page

    Unsubscribe From Email GET

    Next Page